Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1472780 (CVE-2017-11328) - CVE-2017-11328 yara: Heap buffer overflow in yr_object_array_set_item()
Summary: CVE-2017-11328 yara: Heap buffer overflow in yr_object_array_set_item()
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-11328
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1471490 1472781 1472782
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-19 11:56 UTC by Adam Mariš
Modified: 2019-09-29 14:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-12 13:04:30 UTC
Embargoed:


Attachments (Terms of Use)

Description Adam Mariš 2017-07-19 11:56:58 UTC
Heap buffer overflow in the yr_object_array_set_item() function in
object.c in YARA 3.x allows a denial-of-service attack by scanning a
crafted .NET file.

Upstream patch:

https://github.com/VirusTotal/yara/commit/4a342f01e5439b9bb901aff1c6c23c536baeeb3f

Comment 1 Adam Mariš 2017-07-19 11:57:35 UTC
Created yara tracking bugs for this issue:

Affects: epel-all [bug 1472781]
Affects: fedora-all [bug 1472782]

Comment 2 Michal Ambroz 2017-07-24 12:56:00 UTC
already being handled in #1471490

Comment 3 Product Security DevOps Team 2019-07-12 13:04:30 UTC
ARRAY(0x558ebd712f58)


Note You need to log in before you can comment on or make changes to this bug.